A DAO is a group of cooperating entities.

If we're running our own network, it probably makes sense to consider nodes as the participants.

If we're running as smart contracts, it probably makes sense to consider individual addresses as the participants.

These schemes overlap, since both involve asymmetric keys.

Each node must validate the work of the other nodes

Our protocol will be a peer protocol, and will rely on signatures.

Therefore we arrive at a requirement for nodes: they must be physically secured so that private keys are protected.

We also arrive at a requirement for our network protocol: It must be possible to sign messages and verify message signatures against known public keys.

The network protocol MAY support asking peers about other peers / telling other peers about peers.

IF we support this IT SHALL BE linked with each node's reputation.

CAN WE SAY that each node MUST maintain A VIEW of THE ENTIRE / (THE CURRENT) / (ALL / CURRENT) HASHES / MERKLE TREE / -- World state, History

CAN WE GET AWAY WITH ONLY SAYING that each node maintains its own view.

WHAT is our protocol for evaluating the perspectives offered by peers?

- If one node perceives consensus among many others, that may sway their opinion.

  - There may be opportunity during "informal voting" / non-binding validation pools (low tokenLossRatio) to gather this sort of information.

- If there is exact agreement, we have a very efficient case.

- If there is the HOPE of exact agreement, mistakes and attacks can be costly

- If there is an EXPECTATION of exact agreement, there must be externalities supporting that agreement, i.e. a common protocol and governance of that protocol.
